REST Endpoints
Autocomplete
Fast type-ahead search suggestions for Hexagraph entities.
GET
/
autocomplete
curl -X GET "https://api.hexagraph.in/autocomplete?query=Florida"
curl -X GET "https://api.hexagraph.in/autocomplete/institutions?query=Florida"
// Global Autocomplete
fetch("https://api.hexagraph.in/autocomplete?query=Florida")
.then(response => response.json())
.then(data => console.log(data));
// Entity-Specific Autocomplete
fetch("https://api.hexagraph.in/autocomplete/institutions?query=Florida")
.then(response => response.json())
.then(data => console.log(data));
import requests
# Global Autocomplete
res_global = requests.get("https://api.hexagraph.in/autocomplete", params={"query": "Florida"})
print(res_global.json())
# Entity-Specific Autocomplete
res_entity = requests.get("https://api.hexagraph.in/autocomplete/institutions", params={"query": "Florida"})
print(res_entity.json())
{
"meta": {
"count": 48990
},
"results": [
{
"id": "HX_I33213144",
"name": "University of Florida",
"cited_by_count": 31005110,
"entity_type": "institution",
"external_id": "https://ror.org/02y3ad647",
"outputs_count": 364546
}
]
}
{
"statusCode": 400,
"message": "Query parameter 'query' is required",
"error": "Bad Request"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
Provides fast search suggestions for type-ahead inputs. Supports both global entity search and entity-specific search filtering.
Endpoints
GET /autocomplete?query={search_string}— Global type-ahead search across all 10 entity modules.GET /autocomplete/{entity_type}?query={search_string}— Entity-specific type-ahead search (e.g./autocomplete/institutions?query=Florida,/autocomplete/authors?query=Aspuru).
entity_type values: outputs, authors, sources, institutions, publishers, funders, topics.
Query Parameters
string
required
Search query string (e.g.
Florida or crispr).Response Fields
array
required
Array of matching entity candidates.
Show results item attributes
Show results item attributes
string
required
Entity ID prefixed with
HX_ or numeric ID (e.g. HX_I33213144).string
required
Human-readable display name (e.g.
"University of Florida").integer
Associated total citation count.
string
required
Matched entity type (
institution, author, output, source, publisher, funder, topic, domain, field, subfield).string
Primary external identifier (e.g. ROR, DOI, ORCID URL).
integer
Associated total publication output count.
curl -X GET "https://api.hexagraph.in/autocomplete?query=Florida"
curl -X GET "https://api.hexagraph.in/autocomplete/institutions?query=Florida"
// Global Autocomplete
fetch("https://api.hexagraph.in/autocomplete?query=Florida")
.then(response => response.json())
.then(data => console.log(data));
// Entity-Specific Autocomplete
fetch("https://api.hexagraph.in/autocomplete/institutions?query=Florida")
.then(response => response.json())
.then(data => console.log(data));
import requests
# Global Autocomplete
res_global = requests.get("https://api.hexagraph.in/autocomplete", params={"query": "Florida"})
print(res_global.json())
# Entity-Specific Autocomplete
res_entity = requests.get("https://api.hexagraph.in/autocomplete/institutions", params={"query": "Florida"})
print(res_entity.json())
{
"meta": {
"count": 48990
},
"results": [
{
"id": "HX_I33213144",
"name": "University of Florida",
"cited_by_count": 31005110,
"entity_type": "institution",
"external_id": "https://ror.org/02y3ad647",
"outputs_count": 364546
}
]
}
{
"statusCode": 400,
"message": "Query parameter 'query' is required",
"error": "Bad Request"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
⌘I
curl -X GET "https://api.hexagraph.in/autocomplete?query=Florida"
curl -X GET "https://api.hexagraph.in/autocomplete/institutions?query=Florida"
// Global Autocomplete
fetch("https://api.hexagraph.in/autocomplete?query=Florida")
.then(response => response.json())
.then(data => console.log(data));
// Entity-Specific Autocomplete
fetch("https://api.hexagraph.in/autocomplete/institutions?query=Florida")
.then(response => response.json())
.then(data => console.log(data));
import requests
# Global Autocomplete
res_global = requests.get("https://api.hexagraph.in/autocomplete", params={"query": "Florida"})
print(res_global.json())
# Entity-Specific Autocomplete
res_entity = requests.get("https://api.hexagraph.in/autocomplete/institutions", params={"query": "Florida"})
print(res_entity.json())
{
"meta": {
"count": 48990
},
"results": [
{
"id": "HX_I33213144",
"name": "University of Florida",
"cited_by_count": 31005110,
"entity_type": "institution",
"external_id": "https://ror.org/02y3ad647",
"outputs_count": 364546
}
]
}
{
"statusCode": 400,
"message": "Query parameter 'query' is required",
"error": "Bad Request"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}